Get the catalog

GEThttps://api.getstarted.ae/v1/incorporations/catalog

Lists every supported jurisdiction and the incorporation types available in each.

  • Types with available: false are listed so you can show them as coming soon. Creating an incorporation for one returns 422 type_unavailable.

Responses

  • 200OK. Returns the object shown in the example.
  • Every endpoint can also return 401 for a missing or invalid key. See Errors.
curl -X GET "https://api.getstarted.ae/v1/incorporations/catalog" \
  -H "Authorization: Bearer $GETSTARTED_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "jurisdiction": "SG",
      "country": "SG",
      "name": "Singapore",
      "types": [
        {
          "type": "PRIVATE_LIMITED_COMPANY",
          "name": "Private limited company (Pte. Ltd.)",
          "available": true
        }
      ]
    },
    {
      "jurisdiction": "AE",
      "country": "AE",
      "name": "United Arab Emirates",
      "types": [
        {
          "type": "LLC",
          "name": "Limited liability company",
          "available": true
        }
      ]
    },
    {
      "jurisdiction": "GB",
      "country": "GB",
      "name": "United Kingdom",
      "types": [
        {
          "type": "PRIVATE_LIMITED_COMPANY",
          "name": "Private company limited by shares (Ltd)",
          "available": true
        }
      ]
    },
    {
      "jurisdiction": "US-DE",
      "country": "US",
      "name": "United States — Delaware",
      "types": [
        {
          "type": "C_CORPORATION",
          "name": "C corporation",
          "available": true
        },
        {
          "type": "LLC",
          "name": "Limited liability company",
          "available": true
        }
      ]
    },
    {
      "jurisdiction": "CH",
      "country": "CH",
      "name": "Switzerland",
      "types": [
        {
          "type": "GMBH",
          "name": "Limited liability company (GmbH)",
          "available": false
        }
      ]
    },
    {
      "jurisdiction": "MY",
      "country": "MY",
      "name": "Malaysia",
      "types": [
        {
          "type": "SDN_BHD",
          "name": "Private limited company (Sdn. Bhd.)",
          "available": false
        }
      ]
    }
  ],
  "hasMore": false,
  "nextCursor": null
}